Permalink
Browse files

Merge pull request #6 from datamapper/rails-5

Update to rails 5 dependencies
  • Loading branch information...
2 parents 0a17045 + 4814ee4 commit e46eeefeb8939196b29223375e4b02ef23f33a2d @tpitale tpitale committed Jul 28, 2016
Showing with 8 additions and 5 deletions.
  1. +6 −0 .travis.yml
  2. +1 −1 Gemfile
  3. +1 −1 dm-active_model.gemspec
  4. +0 −2 spec/spec.opts
  5. +0 −1 tasks/spec.rake
View
@@ -0,0 +1,6 @@
+script: "bundle exec rake spec"
+rvm:
+ - 2.2.2
+ - 2.3.0
+before_install:
+ - gem install bundler
View
@@ -8,7 +8,7 @@ SOURCE = ENV.fetch('SOURCE', :git).to_sym
REPO_POSTFIX = SOURCE == :path ? '' : '.git'
DATAMAPPER = SOURCE == :path ? Pathname(__FILE__).dirname.parent : 'http://github.com/datamapper'
DM_VERSION = '~> 1.3.0.beta'
-RAILS_VERSION = [ '>= 3.0', '< 5.0' ]
+RAILS_VERSION = [ '>= 3.0', '< 6.0' ]
CURRENT_BRANCH = ENV.fetch('GIT_BRANCH', 'master')
gem 'dm-core', DM_VERSION, SOURCE => "#{DATAMAPPER}/dm-core#{REPO_POSTFIX}", :branch => CURRENT_BRANCH
View
@@ -17,7 +17,7 @@ Gem::Specification.new do |gem|
gem.version = DataMapper::ActiveModel::VERSION
gem.add_runtime_dependency('dm-core', '~> 1.2', '>= 1.2.0')
- gem.add_runtime_dependency('activemodel', '>= 3.0', '< 5.0')
+ gem.add_runtime_dependency('activemodel', '>= 3.0', '< 6.0')
gem.add_development_dependency('rake', '~> 0.9.2')
gem.add_development_dependency('rspec', '~> 1.3.2')
View
@@ -1,2 +0,0 @@
---format specdoc
---colour
View
@@ -1,7 +1,6 @@
spec_defaults = lambda do |spec|
spec.pattern = 'spec/**/*_spec.rb'
spec.libs << 'lib' << 'spec'
- spec.spec_opts << '--options' << 'spec/spec.opts'
end
begin

0 comments on commit e46eeef

Please sign in to comment.